Package org.apache.activemq.artemis.api.core

## Class BroadcastGroupConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.api.core.BroadcastGroupConfiguration

- All Implemented Interfaces:
    `java.io.Serializable`

      public final class BroadcastGroupConfiguration
      extends java.lang.Object
      implements java.io.Serializable

  The basic configuration used to determine how the server will broadcast members This is analogous to `DiscoveryGroupConfiguration`
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BroadcastGroupConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `long` | `getBroadcastPeriod()` |
    `java.util.List<java.lang.String>` | `getConnectorInfos()` |
    `BroadcastEndpointFactory` | `getEndpointFactory()` |
    `java.lang.String` | `getName()` |
    `int` | `hashCode()` |
    `BroadcastGroupConfiguration` | `setBroadcastPeriod​(long broadcastPeriod)` |
    `BroadcastGroupConfiguration` | `setConnectorInfos​(java.util.List<java.lang.String> connectorInfos)` |
    `BroadcastGroupConfiguration` | `setEndpointFactory​(BroadcastEndpointFactory endpointFactory)` |
    `BroadcastGroupConfiguration` | `setName​(java.lang.String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BroadcastGroupConfiguration

          public BroadcastGroupConfiguration()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getBroadcastPeriod

          public long getBroadcastPeriod()

    - #### getConnectorInfos

          public java.util.List<java.lang.String> getConnectorInfos()

    - #### setName

          public BroadcastGroupConfiguration setName​(java.lang.String name)

    - #### setBroadcastPeriod

          public BroadcastGroupConfiguration setBroadcastPeriod​(long broadcastPeriod)

    - #### setConnectorInfos

          public BroadcastGroupConfiguration setConnectorInfos​(java.util.List<java.lang.String> connectorInfos)

    - #### getEndpointFactory

          public BroadcastEndpointFactory getEndpointFactory()

    - #### setEndpointFactory

          public BroadcastGroupConfiguration setEndpointFactory​(BroadcastEndpointFactory endpointFactory)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`